<?php
/**
 * @category   Location
 * @package    Location_DeliveryArea
 * @author     shashank.bluethink@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Location\DeliveryArea\Controller\Index;

use Magento\Framework\App\Action\Context;
use Location\DeliveryArea\Model\DeliveryAreaFactory;

class Save extends \Magento\Framework\App\Action\Action
{
	/**
     * @var DeliveryArea
     */
    protected $_deliveryarea;

    public function __construct(
		Context $context,
        DeliveryAreaFactory $deliveryarea
    ) {
        $this->_deliveryarea = $deliveryarea;
        parent::__construct($context);
    }
	public function execute()
    {
        $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
        $productCollection = $objectManager->create('Magento\Catalog\Model\ResourceModel\Product\Collection');
        $collection = $productCollection->addAttributeToSelect('*')->addFieldToFilter('free_gift',1)->load();
        $cart = $objectManager->get('\Magento\Checkout\Model\Cart');
        $items = $cart->getQuote()->getAllItems();
         $csku=array();
           foreach ($collection as $prod) {
            $csku[] =$prod->getSku();
           }

        if ($this->getRequest()->getPost('pid')) {
            foreach($items as $item) {
                if ($this->getRequest()->getPost('pid')==$item->getId()) {
                    if (in_array($item->getSku(), $csku)) {
                        echo "true";
                    }
                }
            }

        }else{

            foreach($items as $item) {
            if (in_array($item->getSku(), $csku)) {
                echo "You Have allrady Added a complimentry product";
                break;
            }
        }
    }
     //    $data = $this->getRequest()->getParams();
    	// $deliveryarea = $this->_deliveryarea->create();
     //    $deliveryarea->setData($data);
     //    if($deliveryarea->save()){
     //        $this->messageManager->addSuccessMessage(__('You saved the data.'));
     //    }else{
     //        $this->messageManager->addErrorMessage(__('Data was not saved.'));
     //    }
     //    $resultRedirect = $this->resultRedirectFactory->create();
     //    $resultRedirect->setPath('deliveryarea/index/index');
     //    return $resultRedirect;
    }
}
